> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get concession by ID

GET https://api.propexo.com/v1/concessions/{concession_id}

Get concession by ID

Reference: https://docs.propexo.com/api-reference/yardi-rest/units/get-concession-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `concession_id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (Concession, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Concession

- `id` (string, required) — The Propexo unique identifier for the concession
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `x_location_id` (any, required) — The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.This field will always be null for YARDI\_REST
- `x_unit_id` (string, required, nullable) — The external ID of the unit from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `x_floor_plan_id` (string, required, nullable) — The external ID of the floor plan from the integration vendor | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `total_amount_in_cents` (any, required) — The total amount of the concessionThis field will always be null for YARDI\_REST
- `start_date` (any, required) — The start date associated with the concessionThis field will always be null for YARDI\_REST
- `end_date` (any, required) — The end date associated with the concessionThis field will always be null for YARDI\_REST
- `is_active` (boolean, required, nullable) — Whether the concession is active | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `description` (string, required, nullable) — Description of the concession | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `is_one_time` (boolean, required, nullable) — Whether or not the concession occurs a single time | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `is_recurring` (boolean, required, nullable) — Whether or not the concession is recurring | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `monthly_fixed_amount_in_cents` (integer, required, nullable) — The monthly fixed amount of the concession in cents | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `monthly_percentage_amount` (integer, required, nullable) — The monthly percentage amount of the concession. This is rounded to the nearest percentThis is a percentage of the rent for the unit. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/AvailableUnits |
- `monthly_percentage_raw` (any, required) — The raw monthly percentage amount of the concession as a string, preserving decimal precisionThis field will always be null for YARDI\_REST
- `one_time_fixed_amount_in_cents` (integer, required, nullable) — The one time fixed amount of the concession in cents | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `one_time_percentage_amount` (integer, required, nullable) — The one time percentage amount of the concession. This is rounded to the nearest percentThis is a percentage of the rent for the unit. | Interface | Method | | -------------- | --------------------------- | | ILS Guest Card | /ItfProspect/AvailableUnits |
- `one_time_percentage_raw` (any, required) — The raw one time percentage amount of the concession as a string, preserving decimal precisionThis field will always be null for YARDI\_REST
- `number_of_occurrences` (integer, required, nullable) — The number of occurrences of the concession | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `fixed_amount_in_cents` (any, required) — The fixed amount of the concession in centsThis field will always be null for YARDI\_REST
- `percentage_amount` (any, required) — The percentage amount of the concession. This is rounded to the nearest percentThis field will always be null for YARDI\_REST
- `percentage_raw` (any, required) — The raw percentage amount of the concession as a string, preserving decimal precisionThis field will always be null for YARDI\_REST
- `lease_term_in_months` (integer, required, nullable) — The amount of months for the lease term | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `lease_term_raw` (string, required, nullable) — The raw value for the lease term | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `concession_formula_raw` (any, required) — The raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")This field will always be null for YARDI\_REST
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `YARDI_REST`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required, nullable) — The Propexo unique identifier for the unit | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |
- `floor_plan_id` (string, required, nullable) — The Propexo unique identifier for the floor plan | Interface | Method | |---|---| | ILS Guest Card | /ItfProspect/AvailableUnits |

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

## Examples

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_id": "34409-69091f04f1231f4dd7b937666c656b3ebf85903d14ac630430b50ff4026449d1",
    "x_property_id": "greenbay",
    "x_location_id": null,
    "x_unit_id": "312441",
    "x_floor_plan_id": "1bed1bath",
    "total_amount_in_cents": null,
    "start_date": null,
    "end_date": null,
    "is_active": true,
    "description": "Unit type concession - Renewal",
    "is_one_time": true,
    "is_recurring": true,
    "monthly_fixed_amount_in_cents": 15000,
    "monthly_percentage_amount": 15,
    "monthly_percentage_raw": null,
    "one_time_fixed_amount_in_cents": 15000,
    "one_time_percentage_amount": 15,
    "one_time_percentage_raw": null,
    "number_of_occurrences": 3,
    "fixed_amount_in_cents": null,
    "percentage_amount": null,
    "percentage_raw": null,
    "lease_term_in_months": 12,
    "lease_term_raw": "12",
    "concession_formula_raw": null,
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "YARDI_REST",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "unit_id": "cm0406pu32914429249gt3y8z1uemttw",
    "floor_plan_id": "cm0406pu32914429310aeby3p1vv9jqd"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/concessions/concession_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/concessions/concession_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/concessions/concession_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/concessions/concession_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/concessions/concession_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/concessions/concession_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/concessions/concession_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/concessions/concession_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```